Update Package
curl --request PUT \
--url https://api.xplenty.com/{account_id}/api/packages/{package_id} \
--header 'Accept: <accept>' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"flow_type": "<string>",
"raw_data": {}
}
'import requests
url = "https://api.xplenty.com/{account_id}/api/packages/{package_id}"
payload = {
"name": "<string>",
"description": "<string>",
"flow_type": "<string>",
"raw_data": {}
}
headers = {
"Accept": "<accept>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Accept: '<accept>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', description: '<string>', flow_type: '<string>', raw_data: {}})
};
fetch('https://api.xplenty.com/{account_id}/api/packages/{package_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"description": "<string>",
"variables": {},
"owner_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"url": "<string>",
"html_url": "<string>",
"status": "<string>"
}Packages
Update Package
Updates the specified package.
PUT
/
packages
/
{package_id}
Update Package
Authorizations
Enter your API key as the username. Leave the password field blank.
Example: curl -u YOUR_API_KEY: https://api.xplenty.com/...
Headers
API version header — required on all requests
Path Parameters
The unique ID of the package
Last modified on July 14, 2026
Was this page helpful?
⌘I